%global commitdate 20190729
%global commit bd56a6004d5d409d7d03c386400da3f49a8c4c03
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Summary:        Detect changes in the ABI between kernel builds
Name:           kabi-dw
Version:        0
Release:        5.%{commitdate}git%{shortcommit}%{?dist}
License:        GPLv3+
URL:            https://github.com/skozina/%{name}
Source0:        %{url}/archive/%{commit}/%{name}-%{commit}.tar.gz

BuildRequires:  elfutils-devel gcc bison flex glib2-devel make

%description
This package provides a tool to detect any changes in the ABI between the
successive builds of the Linux kernel. This is done by dumping the DWARF type
information (the .debug_info section) for the specific symbols into the text
files and later comparing the text files.

%prep
%autosetup -n %{name}-%{commit} -p1

%build
LDFLAGS+=" -z muldefs "
%make_build

%install
install -Dm 0755 %{name} %{buildroot}%{_bindir}/%{name}

%files
%license COPYING
%doc README.md
%{_bindir}/%{name}

%changelog
* Wed Jan 17 2024 Rebuild Robot <rebot@opencloudos.org> - 0-5.20190729gitbd56a60
- Rebuilt for elfutils

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0-4.20190729gitbd56a60
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0-3.20190729gitbd56a60
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0-2.20190729gitbd56a60
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 16 2022 Shuo Wang <abushwang@tencent.com> -  0-1.%{commitdate}git%{shortcommit}
- initial build
